MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ISerializable Class Reference

`#include <MyGUI_ISerializable.h>`

Inheritance diagram for MyGUI::ISerializable:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
virtual void | deserialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Detailed Description

Definition at line 18 of file MyGUI_ISerializable.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ISerializable::Base

Definition at line 21 of file MyGUI_ISerializable.h.

## ◆ RTTIBase

typedef ISerializable MyGUI::ISerializable::RTTIBase

Definition at line 21 of file MyGUI_ISerializable.h.

## Constructor & Destructor Documentation

## ◆ ISerializable()

MyGUI::ISerializable::ISerializable | ( |  | ) |
| inline

Definition at line 24 of file MyGUI_ISerializable.h.

## ◆ ~ISerializable()

virtual MyGUI::ISerializable::~ISerializable | ( |  | ) |
| inline virtual

Definition at line 25 of file MyGUI_ISerializable.h.

## Member Function Documentation

## ◆ deserialization()

virtual void MyGUI::ISerializable::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version
| ) |  |
| inline virtual

Reimplemented in MyGUI::IResource, MyGUI::ResourceTrueTypeFont, MyGUI::ResourceSkin, MyGUI::ResourceLayout, MyGUI::SharedLayer, MyGUI::OverlappedLayer, MyGUI::ResourceImageSetPointer, MyGUI::ResourceManualFont, and MyGUI::ResourceManualPointer.

Definition at line 28 of file MyGUI_ISerializable.h.

## ◆ getClassTypeName()

static const std::string& MyGUI::ISerializable::getClassTypeName | ( |  | ) |
| inline static

Definition at line 21 of file MyGUI_ISerializable.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::ISerializable::getTypeName | ( |  | ) | const
| inline virtual

Get type name as string

Reimplemented from MyGUI::IObject.

Reimplemented in MyGUI::EditTextStateInfo, MyGUI::RotatingSkinStateInfo, MyGUI::TileRectStateInfo, MyGUI::ResourceImageSet, MyGUI::IResource, MyGUI::ResourceTrueTypeFont, MyGUI::ILayer, MyGUI::ResourceSkin, MyGUI::IFont, MyGUI::SubSkinStateInfo, MyGUI::ResourceLayout, MyGUI::SharedLayer, MyGUI::OverlappedLayer, MyGUI::ResourceImageSetPointer, MyGUI::ResourceManualFont, MyGUI::IPointer, MyGUI::IStateInfo, and MyGUI::ResourceManualPointer.

Definition at line 21 of file MyGUI_ISerializable.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ISerializable::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 21 of file MyGUI_ISerializable.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ISerializable::isType | ( | const std::type_info & | _type | ) | const
| inline virtual

Compare with selected type

Reimplemented from MyGUI::IObject.

Reimplemented in MyGUI::EditTextStateInfo, MyGUI::RotatingSkinStateInfo, MyGUI::TileRectStateInfo, MyGUI::ResourceImageSet, MyGUI::IResource, MyGUI::ResourceTrueTypeFont, MyGUI::ILayer, MyGUI::ResourceSkin, MyGUI::IFont, MyGUI::SubSkinStateInfo, MyGUI::ResourceLayout, MyGUI::SharedLayer, MyGUI::OverlappedLayer, MyGUI::ResourceImageSetPointer, MyGUI::ResourceManualFont, MyGUI::IPointer, MyGUI::IStateInfo, and MyGUI::ResourceManualPointer.

Definition at line 21 of file MyGUI_ISerializable.h.

## ◆ serialization()

virtual void MyGUI::ISerializable::serialization | ( | xml::ElementPtr | _node,
|  | Version | _version
| ) |  |
| inline virtual

Definition at line 27 of file MyGUI_ISerializable.h.

The documentation for this class was generated from the following file:

- MyGUI_ISerializable.h